Berkeley DB version 6.0.30

## com.sleepycat.db
Class ReplicationJoinFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.db.ReplicationJoinFailureException

All Implemented Interfaces:
  Serializable

    public class ReplicationJoinFailureException

extends DatabaseException

Thrown if a new master has been chosen but the client is unable to synchronize with the new master, possibly because the client has turned off automatic internal initialization (the `ReplicationConfig.AUTOINIT` setting).

See Also:
  Serialized Form

Method Summary

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Berkeley DB version 6.0.30

Copyright (c) 1996, 2014 Oracle and/or its affiliates. All rights reserved.